PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PEthSocketThread Class Reference

`#include <ethsock.h>`

Inheritance diagram for PEthSocketThread:
[legend]
Collaboration diagram for PEthSocketThread:
[legend]

## Public Types
typedef PNotifierTemplate < PEthSocket::Frame & > | FrameNotifier
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...

## Public Member Functions
| PEthSocketThread (const FrameNotifier &notifier=NULL)
| ~PEthSocketThread ()
virtual bool | Start (const PString &device, const PString &filter=PString::Empty())
virtual void | Stop ()
bool | IsRunning () const
virtual PEthSocket * | CreateEthSocket () const
void | SetNotifier (const FrameNotifier &notifier)
PEthSocket * | GetSocket () const
Public Member Functions inherited from PObject
unsigned | GetTraceContextIdentifier () const
| Get PTRACE context identifier. More...
void | SetTraceContextIdentifier (unsigned id)
void | GetTraceContextIdentifier (PObject &obj)
void | GetTraceContextIdentifier (PObject *obj)
void | SetTraceContextIdentifier (const PObject &obj)
void | SetTraceContextIdentifier (const PObject *obj)
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
template<class CLS >
CLS * | CloneAs () const
| As for Clone() but converts to specified type. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
__inline const PObject * | PTraceObjectInstance () const
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Member Functions
virtual void | MainLoop ()
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Protected Attributes
FrameNotifier | m_notifier
PThread * | m_thread
PEthSocket * | m_socket
PEthSocket::Frame | m_frame
bool | m_running
Protected Attributes inherited from PObject
unsigned | m_traceContextIdentifier

## Additional Inherited Members
Static Public Member Functions inherited from PObject
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
static const char * | Class ()
| Get the name of the class as a C string. More...
static __inline const PObject * | PTraceObjectInstance (const char *)
static __inline const PObject * | PTraceObjectInstance (const PObject *obj)
Friends inherited from PObject

## Member Typedef Documentation

typedef PNotifierTemplate<PEthSocket::Frame &> PEthSocketThread::FrameNotifier

## Constructor & Destructor Documentation

PEthSocketThread::PEthSocketThread | ( | const FrameNotifier & | notifier = `NULL` | ) |

PEthSocketThread::~PEthSocketThread | ( |  | ) |
| inline

References Stop().

## Member Function Documentation

virtual PEthSocket* PEthSocketThread::CreateEthSocket | ( |  | ) | const
| virtual

PEthSocket* PEthSocketThread::GetSocket | ( |  | ) | const
| inline

References m_socket.

bool PEthSocketThread::IsRunning | ( |  | ) | const
| inline

References m_running.

virtual void PEthSocketThread::MainLoop | ( |  | ) |
| protected virtual

void PEthSocketThread::SetNotifier | ( | const FrameNotifier & | notifier | ) |
| inline

References m_notifier.

virtual bool PEthSocketThread::Start | ( | const PString & | device,
|  | const PString & | filter = `PString::Empty()`
| ) |  |
| virtual

virtual void PEthSocketThread::Stop | ( |  | ) |
| virtual

Referenced by ~PEthSocketThread().

## Member Data Documentation

PEthSocket::Frame PEthSocketThread::m_frame
| protected

FrameNotifier PEthSocketThread::m_notifier
| protected

Referenced by SetNotifier().

bool PEthSocketThread::m_running
| protected

Referenced by IsRunning().

PEthSocket* PEthSocketThread::m_socket
| protected

Referenced by GetSocket().

PThread* PEthSocketThread::m_thread
| protected

The documentation for this class was generated from the following file:

- ethsock.h